<script setup lang="ts">

</script>

<template>
  <div>
    <v-icon icon="mdi-home" />

    <v-btn>Button</v-btn>

    <v-card class="mx-auto" max-width="200" height="200" image="https://cdn.vuetifyjs.com/images/cards/docks.jpg"
      title="Card title" theme="dark"></v-card>

    <v-dialog width="500">
      <template v-slot:activator="{ props }">
        <v-btn v-bind="props" text="Open Dialog"> </v-btn>
      </template>

      <template v-slot:default="{ isActive }">
        <v-card title="Dialog">
          <v-card-text>
            Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore
            magna aliqua.
          </v-card-text>

          <v-card-actions>
            <v-spacer></v-spacer>

            <v-btn text="Close Dialog" @click="isActive.value = false"></v-btn>
          </v-card-actions>
        </v-card>
      </template>
    </v-dialog>

    <div class="text-center">
      <div>
        <v-btn class="ma-2" color="primary">
          Accept
          <v-icon end icon="mdi-checkbox-marked-circle"></v-icon>
        </v-btn>

        <v-btn class="ma-2" color="red">
          Decline
          <v-icon end icon="mdi-cancel"></v-icon>
        </v-btn>

        <v-btn class="ma-2">
          <v-icon start icon="mdi-minus-circle"></v-icon>
          Cancel
        </v-btn>
      </div>

      <div>
        <v-btn class="ma-2" color="orange-darken-2">
          <v-icon start icon="mdi-arrow-left"></v-icon>
          Back
        </v-btn>

        <v-btn class="ma-2" color="purple" icon="mdi-wrench"></v-btn>

        <v-btn class="ma-2" color="indigo" icon="mdi-cloud-upload"></v-btn>
      </div>

      <div>
        <v-btn class="ma-2" variant="text" icon="mdi-thumb-up" color="blue-lighten-2"></v-btn>

        <v-btn class="ma-2" variant="text" icon="mdi-thumb-down" color="red-lighten-2"></v-btn>
      </div>
    </div>

  </div>
</template>
